// JavaScript Document
function valida(frm){
	if (frm.senha.value.length < 6){
		alert ("Campo SENHA deve ter pelo menos 6 caracteres");
		frm.senha.focus();
		return false;		
		}		
	if ( frm.senha.value!=frm.senha2.value){
		alert ("A Senha de Confirmação não é igual a Senha escolhida");
		frm.senha2.focus();
		return false;		
		}			
	return true;
}

function valida_login(frm){
	if (frm.usuario.value==""){
		alert ("Campo Usuário obrigatório!");
		frm.usuario.focus();
		return false;		
		}		
	if ( frm.senha.value==""){
		alert ("Campo Senha obrigatório!");
		frm.senha.focus();
		return false;		
		}			
	return true;
}


//USUARIOS
function confirma_usuario(id){
	
	if (confirm("Você tem certeza que deseja excluir o usuário de ID: "+id+" ?"))
  	{ 	
	location.href = 'usuario_adm.php?id='+id+'&acao=remover';
  	}
	
}

function valida_usuario(frm){
	if ( frm.usuario.value=="" || frm.usuario.value.length < 3){
		alert ("Campo USUÁRIO Obrigatório");
		frm.usuario.focus();
		return false;
		}
	if ( frm.senha.value==""){
		alert ("Campo SENHA Obrigatório");
		frm.senha.focus();
		return false;		
		}
	if (frm.senha.value.length < 6){
		alert ("Campo SENHA deve ter pelo menos 6 caracteres");
		frm.senha.focus();
		return false;		
		}
	if ( frm.nome.value=="" || frm.nome.value.length < 3){
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;		
		}
	if (frm.senhanova.value.length < 6){
		alert ("Campo SENHA deve ter pelo menos 6 caracteres");
		frm.senhanova.focus();
		return false;		
		}
	return true;
}

//BLOCOS
function confirma_bloco(id){
	
	if (confirm("Você tem certeza que deseja excluir o bloco de ID: "+id+" ?"))
  	{ 	
	location.href = 'ctd_bloco_adm.php?id='+id+'&acao=remover';
  	}
	
}

function valida_bloco(frm){
	if ( frm.nome.value==""){
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;		
		}
	if ( frm.arquivo.value=="" || frm.arquivo.value==".php"){
		alert ("Campo ARQUIVO Obrigatório");
		frm.arquivo.focus();
		return false;		
		}	
	return true;
}

//TEMPLATES
function confirma_template(id){
	
	if (confirm("Você tem certeza que deseja excluir o template de ID: "+id+" ?"))
  	{ 	
	location.href = 'ctd_template_adm.php?id='+id+'&acao=remover';
  	}
	
}

function valida_template(frm){
	if ( frm.nome.value==""){
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;		
		}		
	return true;
}

//MENU
function confirma_menu(id){
	
	if (confirm("Você tem certeza que deseja excluir o Menu de ID: "+id+" ?"))
  	{ 	
	location.href = 'ctd_menu_adm.php?id='+id+'&acao=remover';
  	}
	
}

function valida_menu(frm){
	if ( frm.nome.value==""){
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;		
		}
	return true;
}

//PÁGINAS
function confirma_pagina(id){
	
	if (confirm("Você tem certeza que deseja excluir a pagina de ID: "+id+" ?"))
  	{ 	
	location.href = 'ctd_pagina_adm.php?id='+id+'&acao=remover';
  	}
	
}

function valida_pagina(frm){
	if ( frm.template.value==""){
		alert ("Campo TEMPLATE Obrigatório");
		frm.template.focus();
		return false;		
		}
	if ( frm.nome.value==""){
		alert ("Campo NOME Obrigatório");
		frm.nome.focus();
		return false;		
		}
	if ( frm.arquivo.value=="" || frm.arquivo.value==".php"){
		alert ("Campo ARQUIVO Obrigatório");
		frm.arquivo.focus();
		return false;		
		}
	if ( frm.situacao.value==""){
		alert ("Campo SITUAÇÃO Obrigatório");
		frm.situacao.focus();
		return false;		
		}		
	return true;
}

//PUBLICAÇÃO
function confirma_publicacao(){
	
	if (confirm("Você tem certeza que deseja publicar todas as paginas?"))
  	{ 	
	location.href = 'ctd_publicar_todas_paginas.php';
  	}
	
}

//NOTÍCIAS
function confirma_noticia(id){
	
	if (confirm("Você tem certeza que deseja excluir a notícia de ID: "+id+" ?"))
  	{ 	
	location.href = 'ctd_noticia_adm.php?id='+id+'&acao=remover';
  	}
	
}

function valida_noticia(frm){
	if ( frm.data.value==""){
		alert ("Campo DATA Obrigatório");
		frm.data.focus();
		return false;		
		}
	if ( frm.titulo.value==""){
		alert ("Campo TÍTULO Obrigatório");
		frm.titulo.focus();
		return false;		
		}
	return true;
}

// ---------------------------------- GALERIA

// JavaScript Document
function valida_secao(frm){
	if ( frm.titulo.value==""){
		alert ("Campo TITULO Obrigatório");
		frm.titulo.focus();
		return false;		
		}
	return true;
}

function valida_galeria(frm){
	if ( frm.secao.value==""){
		alert ("Campo SEÇÃO Obrigatório");
		frm.secao.focus();
		return false;		
		}
	if ( frm.titulo.value==""){
		alert ("Campo TITULO Obrigatório");
		frm.titulo.focus();
		return false;		
		}
	return true;
}


function confirma_galeria(id){
	
	if (confirm("Você tem certeza que deseja excluir a galeria de ID: "+id+" ?"))
  	{
		if (confirm("Fazendo isso irá excluir as galerias ligadas a essa seção. Tem certeza que deseja excluir?")){			
		location.href = 'glr_secao_adm.php?id='+id+'&acao=remover';
		}
  	}
	
}


function confirma_subgaleria(id){
	
	if (confirm("Você tem certeza que deseja excluir a galeria de ID: "+id+" ?"))
  	{	
		location.href = 'glr_galeria_adm.php?id='+id+'&acao=remover';
  	}
	
}


//IMAGENS
function confirma_imx(id){
	
	if (confirm("Você tem certeza que deseja excluir a imagem de ID: "+id+" ?"))
  	{	
	location.href = 'glr_foto_adm.php?id='+id+'&acao=remover';
  	}
	
}

function confirma_todos(id){
	
	if (confirm("Você tem certeza que deseja excluir todas as imagem dessa galeria ?"))
  	{ 	
	location.href = 'glr_foto_adm.php?id='+id+'&acao=remall';
  	}
	
}

function confirma_img(){
	
	if (confirm("Você tem certeza que deseja atualizar a galeria ?"))
  	{ 	
	document.forms['frmimg'].submit();
  	}
	
}

//BANNERS
// JavaScript Document
function valida_tamanho(frm){
	if ( frm.id.value==""){
		alert ("Campo ID Obrigatório");
		frm.id.focus();
		return false;		
		}
	if ( frm.dimensao.value==""){
		alert ("Campo DIMENSÃO Obrigatório");
		frm.dimensao.focus();
		return false;
		}
	if ( frm.descricao.value==""){
		alert ("Campo DESCRIÇÃO Obrigatório");
		frm.descricao.focus();
		return false;		
		}
	return true;
}

function valida_banner(frm){
	if ( frm.id.value==""){
		alert ("Campo ID Obrigatório");
		frm.id.focus();
		return false;		
		}
	if ( frm.tamanho.value==""){
		alert ("Campo TAMANHO Obrigatório");
		frm.tamanho.focus();
		return false;
		}
	if ( frm.link.value=="" || frm.link.value=="http://"){
		alert ("Campo LINK Obrigatório");
		frm.link.focus();
		return false;		
		}
	if ( frm.imagem.value==""){
		alert ("Campo IMAGEM Obrigatório");
		frm.imagem.focus();
		return false;		
		}
	if ( frm.descricao.value==""){
		alert ("Campo DESCRIÇÃO Obrigatório");
		frm.descricao.focus();
		return false;		
		}
	return true;
}

function valida_banner_e(frm){
	if ( frm.id.value==""){
		alert ("Campo ID Obrigatório");
		frm.id.focus();
		return false;		
		}
	if ( frm.tamanho.value==""){
		alert ("Campo TAMANHO Obrigatório");
		frm.tamanho.focus();
		return false;
		}
	if ( frm.link.value=="" || frm.link.value=="http://"){
		alert ("Campo LINK Obrigatório");
		frm.link.focus();
		return false;		
		}	
	if ( frm.descricao.value==""){
		alert ("Campo DESCRIÇÃO Obrigatório");
		frm.descricao.focus();
		return false;		
		}
	return true;
}

function confirma_t(id){
	
	if (confirm("Você tem certeza que deseja excluir o tamanho de ID: "+id+" ?" , "SisBanner"))
  	{
		if (confirm("Ao excluir esse tamanho todos os banners ligados a ele serão deletados. Tem certeza que deseja excluir ?" , "SisBanner"))
  		{ 
		location.href = 'bnr_tamanho_adm.php?id='+id+'&acao=remover';
		}
  	}
	
}

function confirma_bnr(id){
	
	if (confirm("Você tem certeza que deseja excluir o banner de ID: "+id+" ?"))
  	{ 	
	location.href = 'bnr_adm.php?id='+id+'&acao=remover';
  	}
	
}

//VIDEOS
// JavaScript Document
function valida_video(frm){	
	if ( frm.video.value=="" || frm.video.value=="http://"){
		alert ("Campo VIDEO Obrigatório");
		frm.video.focus();
		return false;
		}	
	if ( frm.descricao.value==""){
		alert ("Campo DESCRIÇÃO Obrigatório");
		frm.descricao.focus();
		return false;		
		}
	return true;
}

function confirma_vds(id){
	
	if (confirm("Você tem certeza que deseja excluir o video de ID: "+id+" ?"))
  	{ 	
	location.href = 'vds_adm.php?id='+id+'&acao=remover';
  	}
	
}

//NEWSLETTER
function confirma_newsletter(id){
	
	if (confirm("Você tem certeza que deseja excluir o e-mail de ID: "+id+" ?"))
  	{ 	
	location.href = 'nlt_emails.php?id='+id+'&acao=remover';
  	}
	
}